<?php
/*
 * Corllete Lab Widgets - Theme Stream
 *
 * Copyright (C) 2006-2009 Corllete ltd (clabteam.com)
 * Support and updates at http://www.free-source.net/
 * Released under the terms and conditions of the
 * GNU General Public License (http://www.gnu.org/licenses/gpl.txt)
 *
 * Theme Stream Widget - Administration Area 
 *
 * $Id: admin_config.php 568 2009-06-25 15:44:26Z sonice $
*/

require_once('../../admin_init.php');


//v0.8 system messages
require_once(CLW_COMPAT_PATH.'message_handler.php');

//get language file
$lan_file = CLW_REL_THEME_STREAM."languages/".e_LANGUAGE."/admin.php";
include_lan($lan_file); 

//define your widget admin menu
    $cl_widget_menu[] = array(
        'menu_title' => CLWTHSTREAMLAN_ADMIN_1,
        'menu_link' => "admin_config.php?config",
        'menu_action' => 'config'
    );
	
    $cl_widget_menu[] = array(
        'menu_title' => CLWTHSTREAMLAN_ADMIN_2,
        'menu_link' => "admin_config.php?help",
        'menu_action' => 'help'
    );
//Actions
if(isset($_POST['update_prefs']))
{
	require_once(CLW_HANDLER_PATH.'widgets_admin_pref_helper.php');
	$pref_helper = new clw_admin_pref_helper($widget, $_POST);
	if(isset($_POST['set_default']))
	{
		$pref_helper->restoreFactorySettings();
		$_POST = array(); //reset POSTED values
	}
	elseif($pref_helper->validate())
	{
		$pref_helper->save();
	}
}

require_once(e_ADMIN."auth.php");

switch ($pageid) 
{
	case 'help':
		$pagetxt = theme_stream_show_help($cl_widget_infobox);
	break;
	
	default: 
		$pagetxt = theme_stream_show_options($cl_widget_infobox); //config action
	break;
}

clw_render_admin($pagetxt);

require_once(e_ADMIN."footer.php"); 
exit;

/**
 * Get theme_stream widget instance
 *
 * @return clw_theme_stream_class
 */
function getStreamWidget()
{
	$cl_widget = clw_widget::getInstance();
	$theme_stream = $cl_widget->getWidget('theme_stream');
	/*
	 PHP5 way: clw_widget::getInstance()->getWidget('theme_stream');
	 */
	return $theme_stream;
}

function theme_stream_show_help($infobox)
{
	$ret = "
	<table class='fborder' cellpadding='0' cellspacing='0' style='width: 98%'>
	<tr>
		<td class='fcaption' colspan='2' style='text-align:left'><div style='float: right; margin-right: 5px'>{$infobox}</div><h3>&nbsp;".CLWTHSTREAMLAN_ADMIN_2."</h3></td>
	</tr>
	<tr>
		<td class='forumheader3' style='width: 20%'>Theme Stream Widget Support:</td>
		<td class='forumheader3' style='width: 80%'>
			<a href='http://www.free-source.net/TheBOX/Treasures/Download/Free-e107-Theme-Stream/show/files' rel='external'>Home of Theme Stream Widget</a><br />(documentation, bug report, feature requests, updates)<br /><br />
			<a href='http://www.free-source.net/fs_plugins/forum/forum.php' rel='external'>Forum</a>
		</td>
	</tr>
	<tr>
		<td class='forumheader3'>CL Widgets plugin</td>
		<td class='forumheader3'>
			<a href='http://www.free-source.net/TheBOX/Treasures/Download/Free-e107-Plugin-Corllete-Lab-Widgets' rel='external'>Home of Corllete Lab Widgets plugin</a><br />(documentation, bug report, feature requests, updates)<br /><br />
			<a href='http://www.free-source.net/fs_plugins/forum/forum.php' rel='external'>Forum</a>
		</td>
	</tr>
	<tr>
		<td class='forumheader3'>Free Source Network downloads &amp; services</td>
		<td class='forumheader3'>
			<a href='http://www.free-source.net/TheBOX/Subscription/View/List' rel='external'>Subscription Clubs Information</a><br />(join now and get access to ALL premium downloads, tutorials and professional services)<br /><br />
			<a href='http://www.free-source.net/TheBOX/Treasures/Category/Free-Themes' rel='external'>Free Themes</a><br />(boost your site with an unique design)<br /><br />
			<a href='http://www.free-source.net/TheBOX/Treasures/Category/Premium-Themes' rel='external'>Premium Themes</a><br />(grant your site more unique look, gain more control over your content, get LiveSupport)<br /><br />
			<a href='http://www.free-source.net/TheBOX/Treasures/Category/e107-Free-Plugins' rel='external'>Free Plugins</a><br />(see why our plugins are most popular in our community)<br /><br />
			<a href='http://www.free-source.net/TheBOX/Treasures/Category/Free-Corllete-Lab-Widgets' rel='external'>Free Widgets</a><br />(be cool, get more Widgets now)
		</td>
	</tr>
	</table>
	";
		
	return $ret;
}


function theme_stream_show_options($infobox)
{

	$widget = getStreamWidget();
	
	require_once(CLW_HANDLER_PATH.'widgets_admin_pref_helper.php');
	$pref_helper = new clw_admin_pref_helper($widget, $_POST);
	
	require_once(CLW_COMPAT_PATH.'form_handler.php');
	$form = new e_form(true);
	$emessage = eMessage::getInstance();
	
	$smsg = $emessage->render();
	if(!empty($smsg))
	{
		$smsg = "<tr><td style='padding-top: 10px' colspan='2'>{$smsg}</td></tr>";
	}
	
	$ret = '
	<form method="post" action="'.e_SELF.'?config">
	<table class="fborder" cellpadding="0" cellspacing="0" style="width: 98%">
	<colgroup span="2">
		<col style="width: 30%" />
		<col style="width: 70%" />
	</colgroup>
	<tr>
		<td class="fcaption" colspan="2" style="text-align:left"><div style="float: right; margin-right: 5px">'.$infobox.'</div><h3>&nbsp;'.CLWTHSTREAMLAN_ADMIN_0.'</h3></td>
	</tr>
	'.$smsg.'
	<tr>
		<td class="fcaption" colspan="2"><strong>'.CLWTHSTREAMLAN_ADMIN_10.'</strong></td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_11.'</td>
		<td class="forumheader3">
            '.$form->text('theme_siteWidth', $pref_helper->getPostedPref('theme_siteWidth'), '6').'
        </td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_12.'</td>
		<td class="forumheader3">
			'.$form->select_open('theme_siteWidthMetric').'
			'.$form->option_multi(array('px' => 'Pixel', '%'=>'Percent'), $pref_helper->getPostedPref('theme_siteWidthMetric')).'
			'.$form->select_close().'
        </td>
	</tr>
	<tr>
		<td class="fcaption" colspan="2"><strong>'.CLWTHSTREAMLAN_ADMIN_13.'</strong></td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_14.'</td>
		<td class="forumheader3">
            '.$form->radio_switch('theme_leftCol', $pref_helper->getPostedPref('theme_leftCol')).'
        </td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_15.'</td>
		<td class="forumheader3">
            '.$form->textarea('theme_leftColPages', $pref_helper->getPostedPref('theme_leftColPages'), '2').'
			<div class="field-help">Enable or disable left column for the pages listed above. Use | as separator. Use a ! at the end of the page name for exact page match.</div>
        </td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_16.'</td>
		<td class="forumheader3">
            '.$form->text('theme_leftColWidth', $pref_helper->getPostedPref('theme_leftColWidth'), '3').'&nbsp;'.CLWTHSTREAMLAN_ADMIN_3.'
        </td>
	</tr>
	<tr>
		<td class="fcaption" colspan="2"><strong>'.CLWTHSTREAMLAN_ADMIN_17.'</strong></td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_18.'</td>
		<td class="forumheader3">
            '.$form->radio_switch('theme_rightCol', $pref_helper->getPostedPref('theme_rightCol')).'
        </td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_19.'</td>
		<td class="forumheader3">
            '.$form->textarea('theme_rightColPages', $pref_helper->getPostedPref('theme_rightColPages'), '2').'
			<div class="field-help">Enable or disable right column for the pages listed above. Use | as separator. Use a ! at the end of the page name for exact page match.</div>
        </td>
	</tr>
	<tr>
		<td class="forumheader3">'.CLWTHSTREAMLAN_ADMIN_20.'</td>
		<td class="forumheader3">
            '.$form->text('theme_rightColWidth', $pref_helper->getPostedPref('theme_rightColWidth'), '3').'&nbsp;'.CLWTHSTREAMLAN_ADMIN_3.'
        </td>
	</tr>
	';
	/*
	$ret .=  "
	<tr>
		<td class='forumheader3'>".CLWTHSTREAMLAN_ADMIN_11."</td>
		<td class='forumheader3'>
            ".$form->radio_switch('simple_dummy_var2', $pref_helper->getPostedPref('simple_dummy_var2'))."
        </td>
	</tr>
	<tr>
		<td class='forumheader3'>".CLWTHSTREAMLAN_ADMIN_12."</td>
		<td class='forumheader3'>
			".$form->text('simple_dummy_var3', $pref_helper->getPostedPref('simple_dummy_var3'), 3, 'size=5')."
        </td>
	</tr>
	<tr>
		<td class='forumheader3'>".CLWTHSTREAMLAN_ADMIN_13."</td>
		<td class='forumheader3'>
			".$form->text('simple_dummy_var4', $pref_helper->getPostedPref('simple_dummy_var4'), 100, 'size=50')."

        </td>
	</tr>
	<tr>
		<td class='forumheader3'>".CLWTHSTREAMLAN_ADMIN_14."</td>
		<td class='forumheader3'><!-- Just an example, don't let the code scare you :) -->
			".$form->select_open('simple_dummy_var5')."
			".$form->option('Choose', '', false)."
			".$form->option_multi(array_combine(range(1,10), range(1,10)), $pref_helper->getPostedPref('simple_dummy_var5'))."
			".$form->select_close()."
        </td>
	</tr>
    ";
	*/
    $ret .=  "

	<tr>
		<td class='forumheader' colspan='2' style='text-align: right; vertical-align: top;'>
             ".$form->admin_button('update_prefs', LAN_SAVE, 'update')."
            ".$form->checkbox('set_default', 1, false).' '.$form->label(CLWTHSTREAMLAN_ADMIN_25, 'set_default', 1)."
        </td>
	</tr>
	</table>
	</form>
	";
    
	return $ret;
}
